/**
 * WordPress dependencies
 */
import React from 'react';
import { Button, Modal, FocusableIframe } from '@wordpress/components';

class SelectDialog extends React.Component {
	constructor(props) {
    super(props);

    this.state = {
			isOpen: false
		};
	};

	componentDidMount() {
		window.addEventListener('message', this.handlePostMessage, false);
	}

	componentWillUnmount() {
		window.removeEventListener('message', this.handlePostMessage);
	}

	handlePostMessage = (event) => {
		console.log('PostMessage recieved:', event.data);
		this.props.onSelectForm(event.data);
	}

	render() {
		return (
			<div>
					<Button variant="primary" onClick={ () => this.setState({isOpen: true}) }>
							Choose a form
					</Button>
					{ this.state.isOpen && (
						<Modal title="Cognito Forms Embed" className="cognito-modal" onRequestClose={ () => this.setState({isOpen: false}) } shouldCloseOnClickOutside={ false }>
							<FocusableIframe style={{ width: "500px", height: "500px" }} src="/wp-content/plugins/cognitoforms/testing/dialog.html"></FocusableIframe>
						</Modal>
					) }
			</div>
		);
	};
};

export default SelectDialog
